Loading...
Searching...
No Matches
pqxx::internal::glyph_scanner< encoding_group > Struct Template Reference

Wrapper struct template for "find next glyph" functions. More...

## Static Public Member Functions

static PQXX_PURE std::size_t | call (char const buffer[], std::size_t buffer_len, std::size_t start)
| Find the next glyph in buffer after position start.

## Detailed Description

template<encoding_group>
struct pqxx::internal::glyph_scanner< encoding_group >

Wrapper struct template for "find next glyph" functions.

When we use this, all we really want is a function pointer. But that won't work, because the template specialisation we use will only work (under current C++ rules) for a struct or class, not for a function.

The documentation for this struct was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/internal/encodings.hxx